put
https://api.caas.staging.bancocdc.com.br/operation/signature/contract/
In this route, we can trigger the contract for signature with other already registered subscribers.
Attention points:
- To consume the route, it is necessary to pass the operation code as a parameter.
- Consume the contract preview route to check that everything is correct before triggering the digital signature.
- It is not possible for more than one subscriber to use the same cell phone or email for subscription.
- Every digital signature will have a person responsible for CDC BANK signing the digital contract.
After triggering, a contract code will be made available, which will be used to consume the routes for checking signatures and downloading contracts.
After the trigger, the remaining subscribers received an EMAIL and SMS to subscribe through CDC BANK's digital platform.
Response
| Http Code | Return Code | Message |
|---|---|---|
| 200 | 200-01 | Success. |
| 400 | 400-01 | Something unexpected happened. |
| 400 | 400-02 | Invalid hash. |
| 400 | 400-30 | Status unidentified or without permission to use. |
| 400 | 400-55 | There are no registered subscribers. |
| 400 | 400-56 | The contract could not be digitally registered with the signer. |
| 400 | 400-57 | Failed to send contract and signatories for signature. |
| 401 | 401-05 | Unauthorized or token invalid |
| 429 | 429-01 | Too many requests |
Response Parameters
| Parameter | Format | Description |
|---|---|---|
| request_code | String | Request identification code. |
| return | Boolean | Indicates if the request was successful. |
| return_code | String | Return code of the request. |
| message | String | Return message of the request. |
| data.code | String | Unique code associated with the triggered contract. |
| data.created_at | String | Date and time when the contract trigger occurred. |